import { DataBase } from "../Frames/DataManager";

//通过接口的属性 去 访问实际表格当中的属性
export interface GameResData extends DataBase {
    resName: string,
    path: string,
    replace: string[],
    atlas: boolean
}
export interface TowerData extends DataBase {
    chassis: string[],
    fireAniImg: string,
    fireAniCount: number,
    bulletAniImg: string,
    bulletAniCount: number,
    cardImg: string[],
    atkRadiums: number[],
    rotate: boolean,
    fireType: string
}

export interface LevelData extends DataBase {
    lvName: number,
    imgName: string[],
    enemyTowerHp: number,
}

export interface RoleData extends DataBase {
    typeRole: string;
    imgName: string;
    atk: number;
    hp: number
    atkLength: number;
    moveSpeed: number;

    aniCount: number;
    aniImg: string;

    atkCount: number;
    atkImg: string;

    idleCount: number;
    idleImg: string;
    
    dieCount: number;
    dieImg: string;

    bulletExplodeCount: number;
    bulletExplodeImg: string;

    bulletCount: number;
    bulletImg: string;
}

