import { _decorator, math} from 'cc';
import { TouchMgr } from './TouchMgr';
import { CharacterSlotMgr } from './CharacterSlotMgr';
const { ccclass, property } = _decorator;

@ccclass('TouchCharacterSlot')
export class TouchCharacterSlot extends TouchMgr {
    func(pos: math.Vec2): void {
        this.node.parent.getChildByName("CharacterSlot").getComponent(CharacterSlotMgr).removeCardImg(pos);
    }
}